extern unsigned int MaxX,MaxY;

typedef
     struct {
       unsigned int dx,dy,type;
       unsigned int p[4];
       } Image;

void SetMode(char mode);
void TextMode();
char VGA320x240();
char VGA320x400();
char VGA320x480();
char VGA360x480();
char EGA320x200();
char EGA640x200();
char EGA640x350();
char EGA640x480();
void bar3d(int x,int y,int dx,int dy,int n,int col);
void bar3dz(int x,int y,int dx,int dy,int n,int col);
void teletext(int x,int y,char *s,char colorf,char colorb);
void xortext(int x,int y,char *s,char colorb);
void rectangle(int x,int y, int dx, int dy,char col);


void setscrlinex(unsigned int w);
void putpixelx(int x,int y,char color);
char getpixelx(int x,int y);
void clearscrx(char color);
void linex(int x1,int y1,int x2,int y2,char color);
void barx(int x,int y,int dx,int dy,int colorb);
void barsx(int x,int y,int dx,int dy,char colorb);
void barpatx(int x,int y,int dx,int dy,char colorb1,char colorb2);
void displaycharx(int x,int y,char s,char colorf,char colorb,char flag);
void setcolx(char colorf,char colorb,unsigned int place);
void fasttextx(int x,int y,char *s);
void screentoscreenx(int x,int y,int dx,int dy,int x1,int y1);
char getimagex(unsigned int x,unsigned int y,unsigned int dx,unsigned int dy,Image *W);
void putimagex(unsigned int x,unsigned int y,Image W,char Restore);


void setscrline10(unsigned int w);
void putpixel10(int x,int y,char color);
char getpixel10(int x,int y);
void clearscr10(char color);
void line10(int x1,int y1,int x2,int y2,char color);
void bar10(int x,int y,int dx,int dy,int color);
void bars10(int x,int y,int dx,int dy,char color);
void barpat10(int x,int y,int dx,int dy,char colorb1,char colorb2);
void displaychar10(int x,int y,char s,char colorf,char colorb,char flag);
void lineh10(int x,int y,int dx,char color1,char color2);
void linev10(int x,int y,int dy,char color1,char color2);
void barpats10(int x,int y,int dx,int dy,char color1,char color2);
void setcol10(char colorf,char colorb,unsigned int place);
void fasttext10(int x,int y,char *s);
void windowshadow10(int x,int y,int dx,int dy);
void screentoscreen10(int x,int y,int dx,int dy,int x1,int y1);
char getimage10(unsigned int x,unsigned int y,unsigned int dx,unsigned int dy,Image *W);
void putimage10(unsigned int x,unsigned int y,Image W,char Restore);

extern void (*setscrline)(unsigned int);
extern void (*putpixel)(int,int,char);
extern char (*getpixel)(int,int);
extern void (*clearscr)(char);
extern void (*line)(int,int,int,int,char);
extern void (*bar)(int,int,int,int,int);
extern void (*bars)(int,int,int,int,char);
extern void (*barpat)(int,int,int,int,char,char);
extern void (*displaychar)(int,int,char,char,char,char);
extern void (*lineh)(int,int,int,char,char);
extern void (*linev)(int,int,int,char,char);
extern void (*barpats)(int,int,int,int,char,char);
extern void (*setcol)(char,char,unsigned int);
extern void (*fasttext)(int,int,char *);
extern void (*windowshadow)(int,int,int,int);
extern void (*screentoscreen)(int,int,int,int,int,int);
extern char (*getimage)(unsigned int,unsigned int,unsigned int,unsigned int,Image *);
extern void (*putimage)(unsigned int,unsigned int,Image,char);
